#!/bin/bash

function quit_if_error {
  if [ $? != 0 ]
  then
    echo "[-] Error. Aborting."
    cd $BASEPWD
    exit 1
  fi
}


# kernel
cp kernel-3.8.8/bzImage run/

# compile & copy apps
rm ./fs/home/user/* -f
gcc -static sploit.c -o ./fs/home/user/sploit
quit_if_error
chmod 777 fs/home/user/*

# pack fs
cd fs
find . | cpio --create --format='newc' > /tmp/initramfs.img
gzip /tmp/initramfs.img && mv /tmp/initramfs.img.gz ../run/initramfs.img
cd ..


cd run && ./run.sh

